Package wx :: Package lib :: Module plot :: Class TestFrame

[frames | no frames]

## Type TestFrame

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                         Frame --+
                                 |
                                TestFrame

Method Summary
| `__init__(self, parent, id, title)`
| ``DrawPointLabel`(self, dc, mDataDict)` This is the fuction that defines how the pointLabels are plotted dc - DC that will be passed mDataDict - Dictionary of data that you want to use for the pointLabel
| `OnEnableDrag(self, event)`
| `OnEnableGrid(self, event)`
| `OnEnableLegend(self, event)`
| `OnEnablePointLabel(self, event)`
| `OnEnableZoom(self, event)`
| `OnFileExit(self, event)`
| `OnFilePageSetup(self, event)`
| `OnFilePrint(self, event)`
| `OnFilePrintPreview(self, event)`
| `OnHelpAbout(self, event)`
| `OnMotion(self, event)`
| `OnMouseLeftDown(self, event)`
| `OnPlotClear(self, event)`
| `OnPlotDraw1(self, event)`
| `OnPlotDraw2(self, event)`
| `OnPlotDraw3(self, event)`
| `OnPlotDraw4(self, event)`
| `OnPlotDraw5(self, event)`
| `OnPlotDraw6(self, event)`
| `OnPlotDraw7(self, event)`
| `OnPlotRedraw(self, event)`
| `OnPlotScale(self, event)`
| `OnReset(self, event)`
| `OnSaveFile(self, event)`
| `OnScrRt(self, event)`
| `OnScrUp(self, event)`
| ``resetDefaults`(self)` Just to reset the fonts back to the PlotCanvas defaults

Property Summary

Instance Method Details

### DrawPointLabel(self, dc, mDataDict)

This is the fuction that defines how the pointLabels are plotted dc - DC that will be passed mDataDict - Dictionary of data that you want to use for the pointLabel

As an example I have decided I want a box at the curve point with some text information about the curve plotted below. Any wxDC method can be used.

### resetDefaults(self)

Just to reset the fonts back to the PlotCanvas defaults

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:30 2007 | http://epydoc.sf.net